Operating system set to macOS
Documentation jurisdiction set to United States
Sign inConnect Claude

Invoke Skill Tax Indirect Advise

post/api/v1/skills/tax.indirect.advise/invoke

GST, VAT, sales tax, HST, QST, use-tax advice by jurisdiction.

Request bodyapplication/json

FieldTypeDescription
topicrequiredstringβ€”
jurisdiction"AU" | "GB" | "CA" | "US" | "NZ" | nullβ€”
indirect_tax_type"gst" | "vat" | "sales_tax" | "hst" | "qst" | "use_tax" | nullβ€”
client_contextobjectβ€”
show nested
Empty object.

Responses

200Skill executed successfully
FieldTypeDescription
skillrequiredstringβ€”
outputrequiredobjectβ€”
show nested
FieldTypeDescription
stub_fieldsstring[]β€”
warningsstring[]β€”
advicestringβ€”
citationsany[]β€”
confidencenumberβ€”
caveatsstring[]β€”
correlation_idrequiredstringβ€”
401Authentication required
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
403Insufficient permissions
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
404Skill not found
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
429Rate limit exceeded
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
5XXInternal server error
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
curl https://api.dev.arch.ie/api/v1/skills/tax.indirect.advise/invoke \
  -X POST \
  -H "Authorization: Bearer sk_..." \
  -H "Content-Type: application/json" \
  -d '{
       "topic": "string",
       "jurisdiction": null,
       "indirect_tax_type": null,
       "client_context": {}
     }'